Topic: Comcast IPv6 and OpenWrt

Comcast has released source-code for the next-generation of IPv6 enabled home gateway device (a.k.a. home router). This IPv6 solution is based on the  OpenWrt  platform.
While it is very important that home gateway devices support native IPv6, particularly native dual-stack (IPv4 and IPv6 simultaneously), devices may still need to handle situations where tunnel-based IPv6 transition technology is used. Thus, Comcast extensions running on OpenWrt support cases where either IPv6 is tunneled over IPv4 using 6RD, or IPv4 is tunneled over IPv6 using Dual-Stack Lite (DS-Lite). This combined solution is used in the implementations of Comcast's 6RD IPv6 trial.

Further information can be found via the links below:

www.comcast6.net/

http://sourceforge.net/p/dslite-6rd/home/

Re: Comcast IPv6 and OpenWrt

Is this used somewhere else in the world ?

I am running backfire on an Alixbox now and would like to set up ipv6 again.

PC Engines alix2d13 with OpenWRT Backfire - OSX  - Debian on PPC - Windows XP

Re: Comcast IPv6 and OpenWrt

what happened the svn sources?!?!?!  they seem to have vanished.  I was wanting to rebuild them for another platform sad

Re: Comcast IPv6 and OpenWrt

vanished ? I just checked the code is still there..

WRT54GLv 1.1, WRT160NL, E2100L
Netgear WNDR3700, Dlink - DIR XX, Soekris 4511, VmWare -x86, UML, Ubiquiti

Re: Comcast IPv6 and OpenWrt

Locally, I already have OpenWRT SVN trunk source. I wonder if they have a patch for OpenWRT SVn trunk that I can get to test.

Mazi

Re: Comcast IPv6 and OpenWrt

I am unable to download the code using following command
svn co svn://svn.code.sf.net/p/dslite-6rd/svn/trunk

Re: Comcast IPv6 and OpenWrt

I am being able to get the code by using following command
svn co svn://svn.code.sf.net/p/dslite-6rd/svn dslite-6rd

Re: Comcast IPv6 and OpenWrt

I am just curious. Does a Comcast customer have to apply for this IPV6 test with an IPV6 capable router or will it automatically be connected through the Comcast IPV6 network?

Mazi

Re: Comcast IPv6 and OpenWrt

tathagata wrote:

I am being able to get the code by using following command
svn co svn://svn.code.sf.net/p/dslite-6rd/svn dslite-6rd

I downloaded a copy of the source and when I executed make menuconfig, the process got stuck as shown below (even after removing the tmp directory). Has anyone managed to successfully run a make menuconfig and compiled?

[mazilo@Mi:/opt/openwrt-svn-trunk/software/dslite-6rd/backfire 50%] ~ make menuconfig
Checking 'working-make'... ok.
Checking 'case-sensitive-fs'... ok.
Checking 'getopt'... ok.
Checking 'fileutils'... ok.
Checking 'working-gcc'... ok.
Checking 'working-g++'... ok.
Checking 'ncurses'... ok.
Checking 'zlib'... ok.
Checking 'gawk'... ok.
Checking 'flex'... ok.
Checking 'unzip'... ok.
Checking 'bzip2'... ok.
Checking 'patch'... ok.
Checking 'perl'... ok.
Checking 'python'... ok.
Checking 'wget'... ok.
Checking 'gnutar'... ok.
Checking 'svn'... ok.
Checking 'gnu-find'... ok.
Checking 'getopt-extended'... ok.
Checking 'non-root'... ok.
++ mkdir -p /opt/openwrt-svn-trunk/software/dslite-6rd/backfire/staging_dir/toolchain-mips_r2_gcc-4.3.3+cs_uClibc-0.9.30.1
++ cd /opt/openwrt-svn-trunk/software/dslite-6rd/backfire/staging_dir/toolchain-mips_r2_gcc-4.3.3+cs_uClibc-0.9.30.1
++ mkdir -p stamp lib usr/include usr/lib
Collecting package info: done
Collecting target info: done
tmp/.config-package.in:6655:warning: 'select' used by config symbol 'PACKAGE_petitboot' refer to undefined symbol 'PACKAGE_ps3-utils'
tmp/.config-package.in:14163:warning: 'select' used by config symbol 'PACKAGE_freepops' refer to undefined symbol 'PACKAGE_luacurl'
tmp/.config-package.in:30786:warning: 'select' used by config symbol 'PACKAGE_gst-python' refer to undefined symbol 'PACKAGE_gst-plugins-base'
Warning! Found recursive dependency: PACKAGE_strongswan4 PACKAGE_kmod-ipsec PACKAGE_kmod-crypto-core PACKAGE_strongswan4
Warning! Found recursive dependency: PACKAGE_lcd4linux LCD4LINUX_DRV_serdisplib LCD4LINUX_NEEDS_serdisplib PACKAGE_lcd4linux
Warning! Found recursive dependency: PACKAGE_kmod-mac80211 PACKAGE_hostapd PACKAGE_crda PACKAGE_kmod-mac80211
Warning! Found recursive dependency: PACKAGE_kmod-usb-core PACKAGE_kmod-video-nw8xx PACKAGE_kmod-video-core PACKAGE_kmod-video-cpia2 PACKAGE_kmod-usb-core
Warning! Found recursive dependency: PACKAGE_zlib CLEARSILVER_ENABLE_COMPRESSION PACKAGE_zlib
Warning! Found recursive dependency: PACKAGE_openl2tp PACKAGE_ppp PACKAGE_kmod-ppp PACKAGE_openl2tp
#
# using defaults found in .config
#
Mazi